# Rosensteinquartier CityGML LoD1 Building Model

The [Rosensteinquartier](https://www.stuttgart.de/leben/stadtentwicklung/rosenstein-quartier.php) CityGML LoD1 building model is an open data based on the publicly available [urban design document](https://www.asp-stuttgart.de/portfolio-items/internationaler-wettbewerb-rosenstein-stuttgart) for the new Rosensteinquartier.

For the mentioned CityGML building model to be an approximate of the Rosensteinquartier's urban design document, first, approximate building footprints were manually extracted and georeferenced using QGIS. Then, based on the distribution of the total floor area (420,260 m²) in different building functions (boundary condition),  i.e. 289.650 m² residential and the rest non-residential (19.770 m² school, 12.000 m² museum, 98.840 m² offices ; schools and museums should be single-use buildings, 50% of offices can be single use buildings and the other 50% be mixed-use buildings with residential), an approximate 3D building model was generated using rule based modelling (CGA rule file) via ArcGIS CityEngine. Finally, since CityEngine doesn't support export functionality to CityGML, using Feature Manipulation Engine (FME), 3D multipatch shapefile of Rosensteinquartier exported from CityEngine was then converted to CityGML LoD1 building model. The FME workbench to convert 2D shapefiles to CityGML LoD 1 building and building part model as well as 3D multipatch shapefiles to CityGML LoD 2 building model is based on the project available [here](https://transfer.hft-stuttgart.de/gitlab/rushikesh.padsala/rhino-cityengine2citygml). 

The Rosensteinquartier CityGML LoD1 building model contains the following attributes for each building and their related building parts:

1. Building Functions as per [SIG3D codelist](http://www.sig3d.org/codelists/citygml/2.0/building/2.0/_AbstractBuilding_function.xml)
2. Gross Floor Area (m²)
3. Building Footprint Area (m²)
4. Building Height (m)
5. Number of Floors - above ground
6. Average Floor Height (m) - above ground
7. Year of Construction

![Rosensteinquartier 3D Viewer](img/Rosenstein3DViewer.PNG)

# License

This work is licensed under a [Creative Commons Attribution 4.0 International License - CC BY 4.0](https://creativecommons.org/licenses/by/4.0/legalcode) [![CC BY 4.0][cc-by-shield]][cc-by]

[cc-by]: https://creativecommons.org/licenses/by/4.0/legalcode
[cc-by-shield]: https://img.shields.io/badge/License-CC%20BY%204.0-lightgrey.svg

# Acknowledgement

This work is carried out in the project [Innovative Hochschule - M4_Lab](https://www.hft-stuttgart.de/forschung/innovative-hochschule-m4-lab). This project is funded by the Federal Ministry of Education and Research under the number 03IHS032A.
![ProjectLogo](img/ProjectLogo.jpg)
